Resource

Status Page Domain

Manage custom domains for your status page

The Status Page Domain Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    domain
    Type
    Domain
    Description

  • Name
    domainId
    Type
    Object IDRequired
    Description

  • Name
    statusPage
    Type
    Status Page
    Description

    Relation to Status Page Resource in which this object belongs

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of your Status Page resource where this object belongs

  • Name
    subdomain
    Type
    Text
    Description

    Subdomain label for your status page such as 'status'. Leave blank or enter @ to use the root domain.

  • Name
    fullDomain
    Type
    Text
    Description

    Full domain of your status page (like status.acmeinc.com). This is autogenerated and is derived from subdomain and domain.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isCnameVerified
    Type
    BooleanRequired
    Description

    Is CNAME Verified?

  • Name
    isSslOrdered
    Type
    BooleanRequired
    Description

    Is SSL ordered?

  • Name
    isSslProvisioned
    Type
    BooleanRequired
    Description

    Is SSL provisioned?

  • Name
    customCertificate
    Type
    Very Long Text
    Description

  • Name
    customCertificateKey
    Type
    Very Long Text
    Description

  • Name
    isCustomCertificate
    Type
    Boolean
    Description

GETorPOST/api/status-page-domain/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page Domain. By default, a maximum of ten Status Page Domain are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-domain/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "domainId": true,
    "projectId": true,
    "statusPageId": true,
    "createdByUserId": true,
    "fullDomain": true
  },
  "query": {
    "fullDomain": "status.acmeinc.com"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377c1900-28fe-11f1-b591-3fdcef396aba",
      "domainId": "d4e5f6a7-b8c9-0123-def4-567890abcdef",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "fullDomain": "status.acmeinc.com"
    },
    {
      "_id": "377c1901-28fe-11f1-b591-3fdcef396aba",
      "domainId": "d4e5f6a7-b8c9-0123-def4-567890abcdef",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "fullDomain": "status.acmeinc.com"
    },
    {
      "_id": "377c1902-28fe-11f1-b591-3fdcef396aba",
      "domainId": "d4e5f6a7-b8c9-0123-def4-567890abcdef",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "fullDomain": "status.acmeinc.com"
    }
  ]
}
GETorPOST/api/status-page-domain/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page Domain by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-domain/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "domainId": true,
    "projectId": true,
    "statusPageId": true,
    "createdByUserId": true,
    "fullDomain": true
  }
}

Response

{
  "_id": "377c1900-28fe-11f1-b591-3fdcef396aba",
  "domainId": "d4e5f6a7-b8c9-0123-def4-567890abcdef",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
  "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
  "fullDomain": "status.acmeinc.com"
}
POST/api/status-page-domain/count

Count

This endpoint allows you to retrieve the count of all your Status Page Domain.

Optional Request Body

Count Request

POST
/api/status-page-domain/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "fullDomain": "status.acmeinc.com"
  }
}

Response

{
  "count": 107
}
POST/api/status-page-domain

Create Status Page Domain

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-domain
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "domainId": "d4e5f6a7-b8c9-0123-def4-567890abcdef",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
    "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
    "subdomain": "status"
  }
}

Response

{
  "_id": "377c1900-28fe-11f1-b591-3fdcef396aba",
  "domainId": "d4e5f6a7-b8c9-0123-def4-567890abcdef",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
  "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
  "fullDomain": "status.acmeinc.com"
}
PUT/api/status-page-domain/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-domain/:id/update-item
GET/api/status-page-domain/:id/update-item

Update Request

PUT
/api/status-page-domain/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "subdomain": "status",
    "customCertificate": "Example value",
    "customCertificateKey": "Example value"
  }
}

Response

{}
DELETE/api/status-page-domain/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-domain/:id/delete-item
GET/api/status-page-domain/:id/delete-item

Delete Request

DELETE
/api/status-page-domain/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page Domain

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page Domain
  • Read All Project Resources

Create Permissions

Required to create Status Page Domain

  • Project Owner
  • Project Admin
  • Project Member
  • Create Status Page Domain

Update Permissions

Required to update Status Page Domain

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Status Page Domain

Delete Permissions

Required to delete Status Page Domain

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Status Page Domain